Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/freeipmi: new aport http://www.gnu.org/software/freeipmi/ In-band and out-of-band computer management

From: Paul Kilar <pkilar_at_gmail.com>
Date: Wed, 14 May 2014 14:19:30 -0400

---
 testing/freeipmi/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/freeipmi/APKBUILD
diff --git a/testing/freeipmi/APKBUILD b/testing/freeipmi/APKBUILD
new file mode 100644
index 0000000..70cae50
--- /dev/null
+++ b/testing/freeipmi/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Paul Kilar <pkilar_at_gmail.com>
+# Maintainer: Paul Kilar <pkilar_at_gmail.com>
+pkgname=freeipmi
+pkgver='1.4.3'
+pkgrel=0
+pkgdesc="In-band and out-of-band computer management"
+url="http://www.gnu.org/software/freeipmi/"
+arch="x86 x86_64"
+license="GPL v3"
+depends="libgcrypt"
+depends_dev=""
+makedepends="libgcrypt-dev libtool"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/ --exec-prefix=/usr --datarootdir=/usr/share
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make install DESTDIR=$pkgdir || return 1
+	# remove libtool archives
+	rm "$pkgdir"/usr/lib/*.la
+}
+md5sums="d1143abe34e6f0b5cc07db80ef22956a  freeipmi-1.4.3.tar.gz"
+sha256sums="2d8701555f7fd5c3cdc0186e2e435d2ed7945047d22b66088f1e5417dcc35386  freeipmi-1.4.3.tar.gz"
+sha512sums="88a2dec70696017407aac313628407200ee2c6600547fbff73c6880ae8d65cda166c8e00e0f4b7eaddc35f4376143b8fdb0b4ac284aba401c2592a95804e6cec  freeipmi-1.4.3.tar.gz"
-- 
1.8.2.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed May 14 2014 - 14:19:30 UTC